javax.rmi.CORBA

## Interface PortableRemoteObjectDelegate

    public interface PortableRemoteObjectDelegate

Supports delegation for method implementations in `PortableRemoteObject`. The delegate is a singleton instance of a class that implements this interface and provides a replacement implementation for all the methods of `javax.rmi.PortableRemoteObject`. Delegates are enabled by providing the delegate's class name as the value of the `javax.rmi.CORBA.PortableRemoteObjectClass` system property.

See Also:
  `PortableRemoteObject`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `connect(Remote target, Remote source)` Delegation call for `PortableRemoteObject.connect(java.rmi.Remote, java.rmi.Remote)`.
`void` `exportObject(Remote obj)` Delegation call for `PortableRemoteObject.exportObject(java.rmi.Remote)`.
`Object` `narrow(Object narrowFrom, Class narrowTo)` Delegation call for `PortableRemoteObject.narrow(java.lang.Object, java.lang.Class)`.
`Remote` `toStub(Remote obj)` Delegation call for `PortableRemoteObject.toStub(java.rmi.Remote)`.
`void` `unexportObject(Remote obj)` Delegation call for `PortableRemoteObject.unexportObject(java.rmi.Remote)`.

### Method Detail

#### exportObject

    void exportObject(Remote obj)
               throws RemoteException

Delegation call for `PortableRemoteObject.exportObject(java.rmi.Remote)`.

Throws:
  `RemoteException`

#### toStub

    Remote toStub(Remote obj)
           throws NoSuchObjectException

Delegation call for `PortableRemoteObject.toStub(java.rmi.Remote)`.

Throws:
  `NoSuchObjectException`

#### unexportObject

    void unexportObject(Remote obj)
                 throws NoSuchObjectException

Delegation call for `PortableRemoteObject.unexportObject(java.rmi.Remote)`.

Throws:
  `NoSuchObjectException`

#### narrow

    Object narrow(Object narrowFrom,
                  Class narrowTo)
           throws ClassCastException

Delegation call for `PortableRemoteObject.narrow(java.lang.Object, java.lang.Class)`.

Throws:
  `ClassCastException`

#### connect

    void connect(Remote target,
                 Remote source)
          throws RemoteException

Delegation call for `PortableRemoteObject.connect(java.rmi.Remote, java.rmi.Remote)`.

Throws:
  `RemoteException`